shishi_pbkdf2_sha1(3)

NAME
shishi_pbkdf2_sha1 - API function

SYNOPSIS
#include <shishi.h>

int shishi_pbkdf2_sha1(Shishi * handle, const char * P, size_t Plen, const char * S, size_t Slen, unsigned int c, unsigned int dkLen, char * DK);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * P
    input password, an octet string

size_t Plen
    length of password, an octet string

const char * S
    input salt, an octet string

size_t Slen
    length of salt, an octet string

unsigned int c
    iteration count, a positive integer

unsigned int dkLen
    intended length in octets of the derived key, a positive integer, at most (2^32 - 1) * hLen. The DK array must have room for this many characters.

char * DK
    output derived key, a dkLen-octet string

DESCRIPTION
Derive key using the PBKDF2 defined in PKCS5. PBKDF2 applies a pseudorandom function to derive keys. The length of the derived key is essentially unbounded. (However, the maximum effective search space for the derived key may be limited by the structure of the underlying pseudorandom function, which is this function is always SHA1.)

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.